Page MenuHomeFreeBSD

biology/bedtools: Upgrade to 2.27.1
ClosedPublic

Authored by jwb on Apr 19 2018, 3:51 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jul 6, 2:22 PM
Unknown Object (File)
Jun 16 2024, 5:49 PM
Unknown Object (File)
Jun 14 2024, 8:13 PM
Unknown Object (File)
Jun 8 2024, 5:00 AM
Unknown Object (File)
May 11 2024, 2:53 PM
Unknown Object (File)
May 11 2024, 2:53 PM
Unknown Object (File)
May 11 2024, 2:53 PM
Unknown Object (File)
May 11 2024, 2:53 PM
Subscribers

Details

Summary

biology/bedtools: Upgrade to 2.27.1
Approved by jrm (mentor) or wen (mentor)
Differential to be added to commit message
PR https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=227272

Test Plan

portlint -AC: looks fine
Passed poudriere on {10.3,11.1}-{amd64,i386}
Tested in production

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 16227
Build 16178: arc lint + arc unit

Event Timeline

Lgtm. The only possible warning flag for me is the removal of MAKE_JOBS_UNSAFE=yes. Issues related to parallel building can crop up randomly. Do you know why it was originally added and are you confident that it is no longer an issue?

I don't know why it was added originally, but I've built the new version
at least a dozen times without it and run it through poudriere testport
twice on all platforms, so I'm pretty confident.

Sounds good. It's on the record here, so you will have a first guess if you get build error emails from clusteradm. When the package is built under heavier load on the cluster, these parallel build issues seem to occur more often.

This revision is now accepted and ready to land.Apr 19 2018, 4:29 PM
This revision was automatically updated to reflect the committed changes.